Subject: [clisp-list] Re: what should LOAD do when the FAS file is obsolete?

From: [email-masked] (Don Cohen)
Date: Fri Sep 20 12:45:04 2002

> Now it sees that there is no file "foo", so it looks in *LOAD-PATHS*
 > for "foo.lisp", "foo.fas", "foo.cl" and "foo.lsp" and tries to load the
 > newest of the found files, i.e., "foo.fas", and then signals an error.
I don't even like that.
I hope at least if you (load "foo.fas") it doesn't look for foo.lisp, etc.

 > - issue a warning instead and load "foo.lisp"
not good
 > - also delete "foo.fas" so that the next time there will be no warning
 >   (and a `make' will recompile "foo.lisp")
even worse
 > - recompile "foo.lisp"
just as bad as delete

 > A warning + optional removing the bad file appears to be the safest way.
I think it should be an error.  Make it a new subclass of error 
(sublcass of file error?) so anyone who wants to can handle it as he
likes.